OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.VertexWeighting

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTVertexWeighting :: MonadIO m => m Bool
- gl_EXT_vertex_weighting :: Bool
- gl_CURRENT_VERTEX_WEIGHT_EXT :: GLenum
- gl_MODELVIEW0_EXT :: GLenum
- gl_MODELVIEW0_MATRIX_EXT :: GLenum
- gl_MODELVIEW0_STACK_DEPTH_EXT :: GLenum
- gl_MODELVIEW1_EXT :: GLenum
- gl_MODELVIEW1_MATRIX_EXT :: GLenum
- gl_MODELVIEW1_STACK_DEPTH_EXT :: GLenum
- gl_VERTEX_WEIGHTING_EXT :: GLenum
- gl_VERTEX_WEIGHT_ARRAY_EXT :: GLenum
- gl_VERTEX_WEIGHT_ARRAY_POINTER_EXT :: GLenum
- gl_VERTEX_WEIGHT_ARRAY_SIZE_EXT :: GLenum
- gl_VERTEX_WEIGHT_ARRAY_STRIDE_EXT :: GLenum
- gl_VERTEX_WEIGHT_ARRAY_TYPE_EXT :: GLenum
- glVertexWeightPointerEXT :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glVertexWeightfEXT :: MonadIO m => GLfloat -> m ()
- glVertexWeightfvEXT :: MonadIO m => Ptr GLfloat -> m ()

# Extension Support

glGetEXTVertexWeighting :: MonadIO m => m Bool

Is the EXT_vertex_weighting extension supported?

gl_EXT_vertex_weighting :: Bool

Is the EXT_vertex_weighting extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTVertexWeighting` in those cases instead.

# Enums

gl_CURRENT_VERTEX_WEIGHT_EXT :: GLenum

gl_MODELVIEW0_EXT :: GLenum

gl_MODELVIEW0_MATRIX_EXT :: GLenum

gl_MODELVIEW0_STACK_DEPTH_EXT :: GLenum

gl_MODELVIEW1_EXT :: GLenum

gl_MODELVIEW1_MATRIX_EXT :: GLenum

gl_MODELVIEW1_STACK_DEPTH_EXT :: GLenum

gl_VERTEX_WEIGHTING_EXT :: GLenum

gl_VERTEX_WEIGHT_ARRAY_EXT :: GLenum

gl_VERTEX_WEIGHT_ARRAY_POINTER_EXT :: GLenum

gl_VERTEX_WEIGHT_ARRAY_SIZE_EXT :: GLenum

gl_VERTEX_WEIGHT_ARRAY_STRIDE_EXT :: GLenum

gl_VERTEX_WEIGHT_ARRAY_TYPE_EXT :: GLenum

# Functions

glVertexWeightPointerEXT

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type `VertexWeightPointerTypeEXT`.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

glVertexWeightfEXT

Arguments

:: MonadIO m |
=> GLfloat | `weight`.
-> m () |

The vector equivalent of this command is `glVertexWeightfvEXT`.

glVertexWeightfvEXT

Arguments

:: MonadIO m |
=> Ptr GLfloat | `weight` pointing to `1` element of type `GLfloat`.
-> m () |